Bug 11599 - Support data pointer in tracepoint callbacks
Summary: Support data pointer in tracepoint callbacks
Status: RESOLVED FIXED
Alias: None
Product: systemtap
Classification: Unclassified
Component: tapsets (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Unassigned
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-13 23:38 UTC by Josh Stone
Modified: 2020-05-22 20:50 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josh Stone 2010-05-13 23:38:36 UTC
http://lkml.org/lkml/2010/5/12/199

Assuming that this patch is merged, we'll have to at least add an unused void*
to our tracepoint callbacks.  If we're clever, we might also be able to merge
our callbacks with identical signatures and distinguish them based on the data
pointer.
Comment 1 Josh Stone 2010-05-31 15:32:20 UTC
Wenji pointed out that this is now live in 2.6.35-rc1, commit
38516ab59fbc5b3bb278cf5e1fe2867c70cff32e.

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=38516ab59fbc5b3bb278cf5e1fe2867c70cff32e
Comment 2 Josh Stone 2010-06-01 22:27:41 UTC
commit 5f73a260
Comment 3 Serhei Makarov 2020-05-22 20:50:40 UTC
Commits e17cf7003724+a8ebb9d338e8 update STAPCONF_TRACEPOINT_HAS_DATA to work with kernel 5.7.0+ which removes DECLARE_TRACE_NOARGS.